> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hill90.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List knowledge entries

> Returns knowledge entries for a specific agent. Requires agent_id query parameter. Users can only list entries for agents they own. Admins can list any agent's entries.




## OpenAPI

````yaml /openapi.yaml get /knowledge/entries
openapi: 3.0.3
info:
  title: Hill90 API
  description: Hill90 platform API — agent management and lifecycle operations.
  version: 0.1.0
servers:
  - url: /
    description: Relative (behind Traefik reverse proxy)
security: []
paths:
  /knowledge/entries:
    get:
      summary: List knowledge entries
      description: >
        Returns knowledge entries for a specific agent. Requires agent_id query
        parameter. Users can only list entries for agents they own. Admins can
        list any agent's entries.
      parameters:
        - name: agent_id
          in: query
          required: true
          schema:
            type: string
          description: Agent ID to list entries for
        - name: type
          in: query
          schema:
            type: string
            enum:
              - note
              - plan
              - decision
              - journal
              - research
              - notebook
          description: Optional entry type filter
      responses:
        '200':
          description: Entry list
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/KnowledgeEntry'
        '400':
          description: Missing agent_id parameter
        '401':
          description: Not authenticated
        '403':
          description: Not authorized to view this agent's knowledge
      security:
        - bearerAuth: []
components:
  schemas:
    KnowledgeEntry:
      type: object
      properties:
        id:
          type: string
          format: uuid
        agent_id:
          type: string
        path:
          type: string
        title:
          type: string
        entry_type:
          type: string
          enum:
            - note
            - plan
            - decision
            - journal
            - research
            - notebook
        content:
          type: string
          description: Full markdown content (only included in single-entry reads)
        content_hash:
          type: string
        tags:
          type: array
          items:
            type: string
        status:
          type: string
          enum:
            - active
            - archived
        sync_status:
          type: string
          enum:
            - pending
            - synced
            - quarantined
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````